Bug 740854 - Inconsistency in the error output while providing an invalid rule name.
Summary: Inconsistency in the error output while providing an invalid rule name.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-23 14:46 UTC by Gowrishankar Rajaiyan
Modified: 2011-12-06 18:32 UTC (History)
3 users (show)

Fixed In Version: ipa-2.1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Do not document
Clone Of:
Environment:
Last Closed: 2011-12-06 18:32:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Gowrishankar Rajaiyan 2011-09-23 14:46:35 UTC
Description of problem:


Version-Release number of selected component (if applicable):
ipa-server-2.1.1-4.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. [root@kungfupanda ~]# ipa sudorule-add-host
Rule name: rule*
[member host]: cavenger.lab.eng.pnq.redhat.com
[member host group]: 
ipa: ERROR: rule*: sudo rule not found
[root@kungfupanda ~]# 

2. However, while performing the same test on hbacrule we see different error message.

  
Actual results:
[root@kungfupanda ~]# ipa hbacrule-add-host 
Rule name: rule*
[member host]: cavenger.lab.eng.pnq.redhat.com
[member host group]: 
ipa: ERROR: no such entry
[root@kungfupanda ~]# 


Expected results: Should be consistent. 
[root@kungfupanda ~]# ipa hbacrule-add-host 
Rule name: rule*
[member host]: cavenger.lab.eng.pnq.redhat.com
[member host group]: 
ipa: ERROR: rule*: hbac rule not found
[root@kungfupanda ~]# 


Additional info:

Comment 2 Rob Crittenden 2011-09-23 17:37:59 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1861

Comment 7 Gowrishankar Rajaiyan 2011-10-08 05:29:48 UTC
[root@bumblebee ~]# ipa sudorule-add-host 
Rule name: rule*
[member host]: cavenger.lab.eng.pnq.redhat.com
[member host group]: 
ipa: ERROR: rule*: sudo rule not found


Verified.
[root@bumblebee ~]# rpm -qi ipa-server
Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.1.2                             Vendor: Red Hat, Inc.
Release     : 2.el6                         Build Date: Fri 07 Oct 2011 05:09:04 PM EDT
Install Date: Sat 08 Oct 2011 07:36:33 AM EDT      Build Host: x86-001.build.bos.redhat.com
Group       : System Environment/Base       Source RPM: ipa-2.1.2-2.el6.src.rpm
Size        : 3363225                          License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server

Comment 8 Martin Kosek 2011-11-01 09:05:57 UTC
Too minor bug.

Comment 9 Martin Kosek 2011-11-01 09:05:58 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Do not document

Comment 10 errata-xmlrpc 2011-12-06 18:32:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.